Bug 91310 - (FS QUOTA)Quota logs: "Can't read quota structure for id"
(FS QUOTA)Quota logs: "Can't read quota structure for id"
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-21 07:19 EDT by Andrew Meredith
Modified: 2007-04-18 12:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Meredith 2003-05-21 07:19:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.3) Gecko/20030314

Description of problem:
The messages log for this machine is logging two kinds of quota related errors.

(A)
.. kernel: VFS: Inserting already present quota entry (block 89).
.. kernel: VFS: Error -5 occured while creating quota.

and

(B)
.. kernel: VFS: Quota for id 2082 referenced but not present.
.. kernel: VFS: Can't read quota structure for id 2082.

The net effect seems to be that the users concerned have no quota on the system
and are therefore unregulated as to the disk space they use.

Trying to over-write the affected user's quota settings using "edquota -p" seems
to work initially, but does kick out a load of errors as (A) above.

If "quota -v <username>" is run straight away, the tables look complete, but if
this is repeated at intervals, the quota setting drop off the disks concerned
one by one, until the table is empty again. It can also be seen occasionally
that the entries can come back again on this same user with no additional
external input.




Version-Release number of selected component (if applicable):
kernel-2.4.18-14

How reproducible:
Always

Steps to Reproduce:
1. Login as root
2. "edquota fred" (where fred is a user from a logged error)
3. Check /var/log/messages
4. Find another new logged error for that user.
    

Additional info:

Have done the usual searches (bugzilla, google etc) for similar problems, but
found nothing.

The machine has 1285 users configured, all of which are governed by quotas. The
highest UID on the system is 2263. The user whos UID is 2263 does not show this
problem.

Of the 1200+ users on the system, less than 10 exhibit this problem.

I am unsure as to how long this has been a problem, as it predates the saved log
files for this machines and does not occur on any of the other machines I have
access to.

I am unsure as to whether this problem occurs on the later kernels for this OS
version. There is a scheduled reboot planned to bring in the latest kernel.
Comment 1 Bugzilla owner 2004-09-30 11:40:58 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.